---
- name: "Copy file for proxy setup"
  copy:
    src: ../files/proxy.conf
    dest: /etc/apt/apt.conf.d/proxy.conf
    owner: root
    group: root
    mode: '0644'

- name: "Copy file for GPIO setup"
  copy:
    src: ../../../../codes/avrdude_gpio.conf
    dest: ~/avrdude_gpio.conf
    owner: root
    group: root
    mode: '0644'

- name: "verif install python3"
  apt:
    name: python3
    state: present

- name: "verif install python3-pip"
  apt:
    name: python3-pip
    state: present


- name: "verif install wiringpi"
  apt:
    name: wiringpi
    state: present

- name: "verif install avrdude"
  apt:
    name: avrdude
    state: present

- name: "verif install gcc-avr"
  apt:
    name: gcc-avr
    state: present

- name: "verif install avr-libc"
  apt:
    name: avr-libc
    state: present

- name: "verif install lxml pkg"
  pip:
     executable: pip3
     name: lxml

- name: "verif install requests pkg"
  pip:
     executable: pip3
     name: requests

- name: "verif install pyserial pkg"
  pip:
     executable: pip3
     name: pyserial
     
